<?php # check whether session variable is empty to make the page secret
session_start(); // insert your code 
if (empty($_SESSION['username'])) {  // insert your code
    header("Location:login_form.php");  // insert your code
    exit();
} else {
}
?>

<?php 
$page_title = "Search Result"; 
include('header.php'); # import basic html code
?>


<a href = "secret_page.php">Go back</a> 

<?php
include('mysqli_connect.php'); // insert your code to import database connection object

# Get user selected album genre
$genre = $_POST['genre'];

# Formulate select SQL query using form data
$query = "SELECT * from albums WHERE (genre = '$genre') ORDER BY quantity";

# Fetch data from database
$result = mysqli_query($dbc, $query);

# Display number of retrieved records
if ($result) {
    $row_count = mysqli_num_rows($result);
    echo "<p>In total, the number of retrieved records is : <strong>$row_count</strong></p>\n";
} else {
    echo mysqli_error($dbc);
}
mysqli_close($dbc);
?>
<div align="center">
<h2 style="color: blue;"> Search Result </h2>
</div>

<?php
# Present the result using while loop.
while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)) {
    echo "<div class='product-container'>" ;
    echo "<div class='product'>";
    $bookid = $row['id'];
    $imgurl = "images/$bookid.jpg"; # Prepare an imagelink of the album
    if (file_exists("$imgurl")){
        echo "<img src='$imgurl'>"; # Display the cover of the album
    } else {
        echo "<img src='images/book.jpg'>";
    }
    
    echo "<h3>" . $row['name'] . "</h3>\n"; # Display album title.
    echo "<p>by " . $row['price'] . "</p>\n"; # Display author.
    echo "<p>" . $row['genre'] . "</p>\n"; # Display genre.
    echo "<p>" . $row['quantity'] . "</p>\n"; 
    
    echo "</div>"; 
    echo "</div>";
} 
?>

<div class="logout-link">
<a href = "logout.php">Click here to log out</a>
</div>

</body>
</html>